@Echo off
REM Remove all reserved SportIdent COM-ports in Windows
REM Created by Oskar Berg 2014-08-26
if exist "%windir%\SysWOW64\" (
   set devcon=%~dp0devcon64.exe
) else (
   set devcon=%~dp0devcon32.exe
)
%devcon% findall =ports | find "SPORTident" > SIports.txt
FOR /F "tokens=1*" %%A IN (SIports.txt) DO (
   echo Removing %%A %%B
   %devcon% remove "@%%A"
)
del SIports.txt
Echo.
Echo Done.
Echo.
Pause
